#pragma once

#include "CollisionBox.h"

namespace Ogre
{
	class SceneNode;
	class Entity;
}

class Enemy : public CollisionBox
{
public:
	Enemy(int nameNumer, int aEnemyType);
	Ogre::Vector3 mMaxSpeed;
	Ogre::SceneNode* mNode;
	Ogre::Entity* mEnt;
	Ogre::Vector3 mAccel;
	int mDir; //-1 = left, 0 = still, 1 = right
	int DeathCounter;
	bool mActive;
	int mEnemyType;
	float mScaleMult;
	void Update();
	void Die();
};